Bug 1550197 - `ipactl status` returns "named" but IPA DNS service is actually "named-pkcs11"
Summary: `ipactl status` returns "named" but IPA DNS service is actually "named-pkcs11"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 18:50 UTC by Josip Vilicic
Modified: 2018-10-17 08:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-17 08:06:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josip Vilicic 2018-02-28 18:50:03 UTC
Description of problem:
When performing `ipactl status` to look into IPA services, the DNS service is labeled "named" instead of "named-pkcs11"


Version-Release number of selected component (if applicable):
IPA 4.5 -- ipa-server-4.5.0-21.el7.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Install IPA 4.5
2. Perform `ipactl status`


Actual results:
[root@ipa74master ~]# ipactl status
Directory Service: RUNNING
krb5kdc Service: RUNNING
kadmin Service: RUNNING
named Service: RUNNING
...

Expected results:
[root@ipa74master ~]# ipactl status
Directory Service: RUNNING
krb5kdc Service: RUNNING
kadmin Service: RUNNING
named-pkcs11 Service: RUNNING
...


Additional info:
If a customer wanted to check IPA services and restart/query things manually, having the DNS services listed as "named" is misleading and can lead to confusion:

[root@ipa74master ~]# systemctl status named
● named.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead)

[root@ipa74master ~]# ps aux | grep named
named     3156  0.0  0.8 404828 33140 ?        Ssl  Feb27   0:07 /usr/sbin/named-pkcs11 -u named -c /etc/named.conf -d 3
root      4586  0.0  0.0 112664   976 pts/0    S+   13:41   0:00 grep --color=auto named

Comment 2 fbarreto 2018-03-13 19:02:52 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/7446

Comment 5 Florence Blanc-Renaud 2018-10-17 08:06:07 UTC
ipactl does not display the actual service name (as seen from systemd) in its output, as can be seen for slapd for instance:

[root@ipa74master ~]# ipactl status
Directory Service: RUNNING
krb5kdc Service: RUNNING
kadmin Service: RUNNING
named Service: RUNNING
...

but rather a label sufficient to understand which service it is referring to.
Moreover, depending on the underlying Operating System, the service name could be different.

Because of this, we decided not to modify its output. Hence closing as won't fix.


Note You need to log in before you can comment on or make changes to this bug.